Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.aware
Interface ReturnUrlAware

All Known Implementing Classes:
  AbstractAction, AbstractBuildAction, AbstractConfigurationAction, AbstractLicenseAction, AbstractPluginConfigurationAction, AbstractRestAction, AbstractSetupAction, AbstractSetupDatabaseAction, AddProject, AdminErrorAction, AdministerAction, BambooActionSupport, BuildActionSupport, BuildConfigurationSupport, BuildExpiry, BuildJdkList, BuildList, BuildResultsAction, BuildResultsFilterList, ChangePassword, ConfigurationAction, configureAutoFavouriteAction, ConfigureBuildArtifact, ConfigureBuildBuilder, ConfigureBuildDependencies, ConfigureBuilder, ConfigureBuildPostAction, ConfigureBuildRepository, ConfigureGroup, ConfigureInstantMessagingServer, ConfigureJdks, ConfigureJiraServer, ConfigureMailServer, ConfigurePipeline, ConfigureProfile, ConfigureSecurity, ConfigureUser, CreateBuild, DeleteBuildResults, DeleteBuilds, EditCommentAction, EditLabelsAction, EditProjectPlanName, EmailStrategyList, Error, ExecuteBuild, Export, FilterCookieWriterAction, FinishSetupAction, FiveOhOh, ForgotPassword, GetLatestBuildResults, GetLatestUserBuilds, GotoAuthors, GotoBuildResult, Import, LabelRssFeedAction, LicenseAction, ListBuildNames, Login, Login, Logout, Logout, MoveBuilds, Profile, ReindexAction, RemoveBuildError, RepositoryList, SaveConfig, SaveNewProject, SelectSetupStepAction, SetFavouriteAction, SetResultsFilter, SetupDataAction, SetupEmbeddedDatabaseAction, SetupLicenseAction, SetupPathsAction, SignupUser, StarterAction, StopBuild, SuspendBuild, SystemErrorList, SystemInfoAction, UpdateAndBuild, UpdateLicenseAction, UpgradeWizard, ValidateBuildWizard, VersionAction, ViewAdministrators, ViewAuditLog, ViewAuthor, ViewAuthorChart, ViewAuthorFailuresChart, ViewAuthors, ViewBuild, ViewBuildActivityLog, ViewBuildConfiguration, ViewBuildError, ViewBuildFiles, ViewBuildResults, ViewBuildResultsByJiraKey, ViewBuildResultsForLabelAction, ViewBuildResultsSuccessfulTests, ViewBuildResultsTable, ViewBuildResultsTests, ViewCloverCoverageSummary, ViewCombinedByBuildNumberChart, ViewCombinedByTimePeriodChart, ViewCurrentRunningBuild, ViewJiraIssues, ViewLabels, ViewLatestBuild, ViewNextBuildResults, ViewPreviousBuildResults, ViewProject, ViewRecentlyCompletedBuilds, ViewReport, ViewReportChart, ViewTestCaseAction, ViewTestCaseResultAction, ViewTestClassResultAction, ViewTestsSummary, WelcomeWizard, WelcomeWizard1

    public interface ReturnUrlAware

Interface that defines that this object knows about returning to a given url when procvessing is completed

Method Summary
`String` | `getReturnUrl()`
`void` | `setReturnUrl(String returnurl)`

Method Detail

### getReturnUrl

    String getReturnUrl()

### setReturnUrl

    void setReturnUrl(String returnurl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.